org.bdgenomics.adam.converters

# AlignmentRecordConverter

#### class AlignmentRecordConverter extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AlignmentRecordConverter
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AlignmentRecordConverter()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def convert(adamRecord: AlignmentRecord, header: SAMFileHeaderWritable): SAMRecord

   Converts a single ADAM record into a SAM record.

   Converts a single ADAM record into a SAM record.

   adamRecord

     ADAM formatted alignment record to convert.

   header

     SAM file header to use.

   returns

     Returns the record converted to SAMtools format. Can be used for output to SAM/BAM.

9. #### def convertToFastq(adamRecord: AlignmentRecord, maybeAddSuffix: Boolean = false, outputOriginalBaseQualities: Boolean = false): String

   Converts a single record to FASTQ.

   Converts a single record to FASTQ. FASTQ format is:

   adamRecord

     Read to convert to FASTQ.

   returns

     Returns this read in string form.

10. #### def createSAMHeader(sd: SequenceDictionary, rgd: RecordGroupDictionary): SAMFileHeader

    Creates a SAM formatted header.

    Creates a SAM formatted header. This can be used with SAM or BAM files.

    sd

      Reference sequence dictionary to use for conversion.

    rgd

      Dictionary containing record groups.

    returns

      Converted SAM formatted record.

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped